import service from '@/utils/request'

// 创建API密钥
export const createAiApiKey = (data) => {
  return service({
    url: '/aiApiKey/createAiApiKey',
    method: 'post',
    data
  })
}

// 删除API密钥
export const deleteAiApiKey = (data) => {
  return service({
    url: '/aiApiKey/deleteAiApiKey',
    method: 'delete',
    data
  })
}

// 更新API密钥
export const updateAiApiKey = (data) => {
  return service({
    url: '/aiApiKey/updateAiApiKey',
    method: 'put',
    data
  })
}

// 查询API密钥
export const findAiApiKey = (params) => {
  return service({
    url: '/aiApiKey/findAiApiKey',
    method: 'get',
    params
  })
}

// 获取API密钥列表
export const getAiApiKeyList = (params) => {
  return service({
    url: '/aiApiKey/getAiApiKeyList',
    method: 'get',
    params
  })
}
